/*
 * Named.java
 */
package UTEStatsViewer;
/**
 * Interface implemented by objects that have a name.  The name is
 * typically used by GUI components that need a String value to
 * identify an object.
 */
public interface Named {
   /** Return String to be used to identify the object. */
   public String getName();
}
