#if !defined ( _SLOG )
#include "slog.h"
#endif  /*  if !defined ( _SLOG )  */


int SLOG_SetPreviewStatisticsSize(       SLOG_STREAM      *slog,
                                   const SLOG_uint32      stat_bin_size );

SLOG_pstat_t *SLOG_PSTAT_Create( const SLOG_uint32 stat_bin_size );

void SLOG_PSTAT_Free( SLOG_pstat_t  *slog_pstat );

int SLOG_PSTAT_Open( SLOG_STREAM  *slog );

int SLOG_PSTAT_Write( SLOG_STREAM  *slog );

int SLOG_PSTAT_Read( SLOG_STREAM  *slog );

int SLOG_PSTAT_SetBinWidthInTime( SLOG_STREAM  *slog );

int SLOG_PSTAT_Update(       SLOG_pstat_t           *pstat,
                       const SLOG_intvlrec_blist_t  *src_bbuf );

int SLOG_PSTAT_Close( SLOG_STREAM  *slog );

void SLOG_PSTAT_Print( FILE *outfd, const SLOG_pstat_t  *pstat );
